# Generated by Django 3.1.3 on 2021-02-17 23:45

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=50, validators=[django.core.validators.MinLengthValidator(2)])),
                ('last_name', models.CharField(max_length=50, validators=[django.core.validators.MinLengthValidator(1)])),
                ('middle_name', models.CharField(blank=True, default='', max_length=50)),
            ],
            options={
                'verbose_name': 'Client',
                'verbose_name_plural': 'Clients',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='Driver',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=50)),
                ('last_name', models.CharField(max_length=50)),
            ],
            options={
                'verbose_name': 'Driver',
                'verbose_name_plural': 'Drivers',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='OrderType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(db_index=True, max_length=30, unique=True)),
                ('kind', models.CharField(choices=[('CENTER', 'CENTER'), ('DOWNTOWN', 'DOWNTOWN'), ('ALL', 'ALL')], default='CENTER', max_length=10)),
                ('max_clients', models.PositiveSmallIntegerField(default=1, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)])),
            ],
            options={
                'verbose_name': 'Order Type',
                'verbose_name_plural': 'Order Types',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='Vehicle',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('model', models.CharField(max_length=50)),
                ('make', models.CharField(max_length=50)),
                ('vin', models.CharField(db_index=True, max_length=20, unique=True)),
            ],
            options={
                'verbose_name': 'Vehicle',
                'verbose_name_plural': 'Vehicles',
                'ordering': ('id',),
            },
        ),
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('order_status', models.CharField(choices=[('NEW', 'NEW'), ('SEARCH', 'SEARCH'), ('TO_PICK_UP', 'TO_PICK_UP'), ('WAITING', 'WAITING'), ('TO_DROP_OFF', 'TO_DROP_OFF'), ('FINISHED', 'FINISHED')], default='NEW', max_length=15)),
                ('pick_up_address', models.CharField(max_length=300)),
                ('drop_off_address', models.CharField(max_length=300)),
                ('distance', models.FloatField()),
                ('approx_price', models.DecimalField(decimal_places=2, max_digits=6)),
                ('final_price', models.DecimalField(decimal_places=2, max_digits=6)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('clients', models.ManyToManyField(blank=True, to='routing.Client')),
                ('driver', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='driver_orders', to='routing.driver')),
                ('order_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='order_type_orders', to='routing.ordertype')),
                ('vehicle', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='vehicle_orders', to='routing.vehicle')),
            ],
            options={
                'verbose_name': 'Order',
                'verbose_name_plural': 'Orders',
                'ordering': ('id',),
            },
        ),
    ]
